Pāriet uz saturu

Seedance 1.0 Pro · Text to Video

Integrēt

Modeļa id bytedance/seedance/v1/pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance/v1/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Faili, piemēram, paraugā: 0,608 $ 608 API kredīti jūsu faili tiek izmērīti pirms izpildes Izpildīt šajā lapā

Iegūt API atslēgu
ByteDance Teksts uz video 2–12 slīdz 1080p

Seedance 1.0 Pro teksta pārveidošanai video ar 2 līdz 12 sekunžu klipiem, kameras fiksēšanu un kadru skaita vadību

Izveidots vietnē Doitong

Doitong kopienas publiskie darbi, kas izveidoti ar Seedance v1. Izmantojiet uzvedni atkārtoti ar vienu klikšķi.

Rādīti publiskie darbi: 16
Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and ... Video

Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and trees are frozen mid-action Action: Only the bunny-suited man moves, walking and waving in front of an unresponsive man in a black suit Style: Cinematic, intense stillness, Quicksilver/X-Men, Matrix...

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely fr... Video

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely frozen in time. Nothing moves. Absolutely nothing. All people are frozen, cars are frozen, bicycles are frozen, traffic lights are frozen, trees and leaves are frozen, wind is frozen, shadows are...

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling ... Video

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling around her face. She’s wearing glossy, high-tech neon visor goggles with a vivid color gradient — bright yellow, orange, and pink reflecting glowing city lights. Her expression is confident and...

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, act... Video

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, actively working on a giant [pizza]. The tiny workers are using small tools, cranes, and machines to [assemble]. The [pizza] is placed on a metal surface or kitchen countertop. Steam or particles rise...

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в ... Video

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в попытке выключить, но они продолжают пищать, она в панике оглядывается. Камера медленно приближается с низкого угла от ног кровати к лицу, создавая ощущение нарастания хаоса. Лучи утреннего солнца...

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. К... Video

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. Камера медленно отъезжает назад, охватывая весь уютный дом и сад. Свет солнца постепенно затухает, переходя в сумерки. Финальный кадр передает чувство семейного тепла и завершенности прекрасного дня....

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскаки... Video

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскакивает, хватает ключи. Камера кружит вокруг нее на 180 градусов на уровне колен, ускоряясь. Ключи звенят, сумка болтается. Эмоциональный бит — пик хаоса с ноткой абсурдного юмора. Dialogue in this...

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро... Video

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро следует за ним на уровне земли, создавая эффект скорости. Анна и дети вбегают в кадр и выбегают из него, размахивая руками. Пыль слегка поднимается из-под лап. Сцена наполнена комичным драйвом и...

Izveidot pieprasījumu

Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.

•obligāts

Teksta uzvedne, kas vada video ģenerēšanu.

duration 5 s

Video ilgums sekundēs.

aspect_ratio noklusējums 16:9

Izvades video malu attiecība.

resolution noklusējums 1080p

Izvades izšķirtspēja: 480p prioritizē ātrumu, 720p nodrošina līdzsvaru, bet 1080p — augstāku kvalitāti.

Ģenerēšanas kadru skaits; ja norādīts, tas ir prioritārs pār ilgumu.

Papildu seed · camera_fixed · enable_safety_checker

Sēklas skaitlis, kas vada nejaušību video ģenerēšanas laikā; -1 izvēlas nejaušu sēklas skaitli.

POST /run/bytedance/seedance/v1/pro/text-to-video?wait=20 cena → 0,608 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance/v1/pro/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Palaist šo pieprasījumu

Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu

Par Seedance 1.0 Pro · Text to Video

Izveido video no uzvednes. Pieejama 480p, 720p vai 1080p izšķirtspēja, ilgums no 2 līdz 12 sekundēm un malu attiecības no 21:9 līdz 9:16, pēc noklusējuma 16:9. `num_frames` no 29 līdz 289 ignorē ilgumu, `camera_fixed` fiksē kameras pozīciju, bet `seed` atkārto rezultātus. Izvadei nav audio.

Parametri

NosaukumsTips NoklusējumsAtļauts Apraksts
promptobligāts
Tipsstring
Teksta uzvedne, kas vada video ģenerēšanu.
aspect_rationeobligāts
Tipsenum
Noklusējums16:9
21:916:94:31:13:49:16
Izvades video malu attiecība.
resolutionneobligāts
Tipsenum
Noklusējums1080p
480p720p1080p
Izvades izšķirtspēja: 480p prioritizē ātrumu, 720p nodrošina līdzsvaru, bet 1080p — augstāku kvalitāti.
durationneobligāts
Tipsenum
Noklusējums5
23456789101112
Video ilgums sekundēs.
camera_fixedneobligāts
Tipsboolean
Noklusējumsfalse
Nosaka, vai kamera paliek fiksētā pozīcijā.
seedneobligāts
Tipsinteger | null
Sēklas skaitlis, kas vada nejaušību video ģenerēšanas laikā; -1 izvēlas nejaušu sēklas skaitli.
enable_safety_checkerneobligāts
Tipsboolean
Noklusējumstrue
Drošības pārbaudes slēdzis, kura izslēgšanai nepieciešama konta autorizācija. Bez šīs autorizācijas katrs pieprasījums tiek pārbaudīts neatkarīgi no iestatījuma; true iespējo pārbaudītāju.
num_framesneobligāts
Tipsinteger | null
29 – 289
Ģenerēšanas kadru skaits; ja norādīts, tas ir prioritārs pār ilgumu.
obligāts

Izvade

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance/v1/pro/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 608,
    "usd": "0.608",
    "charged": 608,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jūsu faili, jūsu izvēleKatrs outputs[].url ir kopija mūsu krātuvē: tiek glabāta mūžīgi (maksa par GB mēnesī) vai 7 dienas bez maksas — atbilstoši konta iestatījumam vai ?storage=.
Vienāda struktūra katram modelimtype, url, content_type, width, height un duration gan attēliem, gan video un audio. output ir paša modeļa rezultāta objekts.
Izvades lauki
video
object {url, content_type, file_name, file_size}Iegūtais video fails.
seed
integerĢenerēšanas laikā izmantotā sēklas vērtība.

Vairāk modeļu: Teksts uz video

AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/bytedance/seedance/v1/pro/text-to-video.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt